
function excelExport(checkAllSign,checkData,url,sum,token) {
    if (checkAllSign) {
        if (sum > 10000){
            if (!confirm('导出条数超过一万条，耗时可能过长，您确定继续吗？'))return;
        }
        let thisUrl=document.URL;
        let parameter=thisUrl.split('?',2);
        url += "?checkAllSign=true";
        if (parameter[1])url+="&"+parameter[1];
        location.href=url;
    }else {
        if (checkData && checkData.length <= 0) {
            tempTip.setDuration(3000);
            tempTip.showSuccess('没有勾选任何记录');
        } else {
            let form=$('<form hidden method="post" target="_blank" action="'+url+'">' +
                '<input name="_token" value="'+token+'">' +
                "<input name='data' value='"+checkData+"' >" +
                '</form>');
            $('body').append(form);
            form.submit();
        }
    }
}